fastapi==0.110.0
uvicorn==0.28.1
minio==7.2.5
numpy==1.26.4
tritonclient[all]==2.43.0
python-dotenv==1.0.1
pydantic==1.10.13
websockets
opencv-python==4.9.0.80
redis==5.0.3
pika==1.3.2
pandas==2.2.1
starlette==0.36.3
mmcv==1.4.2
pillow==10.2.0
torchvision==0.17.1
scikit-image==0.22.0
tqdm==4.66.2
matplotlib==3.9.0
pymilvus==2.4.0
apscheduler==3.11.0
mediapipe==0.10.21

# chat robot env
loguru==0.7.2
#langchain==0.0.344
#langchain-core==0.0.8
#langchainplus-sdk==0.0.20
langchain==0.2.6
langchain-community==0.2.6
langchain-core==0.2.10
langchain-text-splitters==0.2.2
langchainplus-sdk==0.0.20
langchain-community==0.2.6
dashscope==1.20.0

openai==1.3.5
PyMySQL==1.1.0
google-search-results==2.4.2
retry==0.9.2
chromadb~=0.5.15
av
scikit-video
moviepy==1.0.3
# conda install pytorch torchvision torchaudio pytorch-cuda=12.1 -c pytorch -c nvidia

#boto3~=1.34.82
#torch~=2.2.1
#retry~=0.9.2
#urllib3~=2.2.2
#sqlalchemy~=2.0.23
#requests~=2.32.3